<?php
/*
 *  File: addAppointment.php
 *  Data: 19/01/2014
 * 
 *  This file creates an appointment.
 * 	If it is selected 'Remember' option:
 * 		- Active attriubt is true in this appaintment row.
 * 			- If remember is < nowTime = bell icon.
 * 			- If remember is > nowTime = attention icon.
 * 
 * 	It is only deleted when you selects the remember task is done. 
 *
 */
require 'include/checkSession.php';
 
$contactId = (int)$_GET['contactId'];
 
if (isset ($_POST['add']))
{
	$remember 		= isset($_POST['remember']) ? $_POST['remember'] : '';
	
	// Atributes from $_POST
	$comment	 	= $_POST['comment'];
	$creationDate 	= 'STR_TO_DATE("'.$_POST['create'].'", "%d/%m/%Y %k:%i")';
	$remember 		= ($remember == '') ? 'null' : 'STR_TO_DATE("'.$remember.'", "%d/%m/%Y %k:%i")';
	$source 		= $_POST['source'];
	$summary 		= $_POST['summary'];
	
	$active = ($remember == 'null') ? 'false' : 'true';
	
	// Save appointment in DB
	$insert  = 'INSERT INTO appointment (summary, comment, creationDate, remember, sourceType, contactId, active, userId) values ("';
	$insert .= $summary.'","'.$comment.'",'.$creationDate.','.$remember.',"'.$source.'",'.$contactId.','.$active.','.$userId.')';

	$result = mysql_query($insert) or die('Error 01: Insert appointment table query failed. The query: '.$insert.' Error: '.mysql_error());

	header('Location: contact.php?contactId='.$contactId);
} 
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-timepicker-addon.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Añadir cita</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "contactSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
    
    $query = 'SELECT * FROM contact WHERE id='.$contactId;
    $result = mysql_query($query) or die('Error 02; Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
    $contact = mysql_fetch_assoc($result); 

    $contactName = $contact['name'].' '.$contact['surname'];
         
    /* New appointment form */
    ?> 
    <section>
    
    <h2><?php echo $contactName ?></h2>
    <div class="divider"></div>
    <h4>Nuevo cita</h4>
    <article id="inputForm">
    
    <form action="addAppointment.php?contactId=<?php echo $contactId ?>" name="appointmentForm" method="post">
   	<ul>
   	  <li><label for="summary">Resumen:</label></li> 
	  <li><input name="summary" required="required" maxlength="100" placeholder="Resumen de la cita" id="summary"></li> 

	  <li><label for="create">Fecha de la cita:</label></li> 
	  <li><input name="create" id="create" required="required" maxlength="16" value="<?php echo date("d/m/Y H:i") ?>"></li>
   	
  	  <li><label for="remember">Recordar el:</label></li>
   	  <li><input disabled="disabled" name="remember" class="withSelector" id="remember">
 		  <div id="radio">
			<input type="radio" id="radio1" onclick="enableRemember()" name="radio"><label for="radio1">Sí</label>
			<input type="radio" id="radio2" onclick="disableRemember()" name="radio" checked="checked"><label for="radio2">No</label>
		  </div>
	  </li>
	
   	  <li><label for="source">Medio de contacto:</label></li> 
	  <li><select name="source" id="source">
			<option value="Correo electrónico" selected>Correo electrónico</option>
		    <option value="Presencial">Presencial</option>
			<option value="Teléfono">Teléfono</option>
		</select></li>
	  <script>selectComboBox("source", "Correo electrónico", "false");</script>

	  <li><label for="comment">Descripción:</label></li>  
	  <li><textarea name="comment" maxlength="1000" placeholder="Max. 1000 caracteres" id="comment"></textarea></li>

	  <li><button class="submit" name="add" type="submit">Añadir cita</button></li>
	</ul>
	<!-- Initialize the datetimepickers {create, remember} -->
	<script type="text/javascript">initTime();</script>  
    </form>
    </article>
	</section>
    <?php

    include 'include/footer.php';
    ?>
</body>
</html>