<?php 
/*
 *  File: addBusiness.php
 *  Data: 19/01/2014
 * 
 *  This file contains a Business form that allows you to add a new business 
 */
require 'include/checkSession.php';

// Atributes from $_POST
$activity 		= isset($_POST['activity']) 	? $_POST['activity'] 	: '';
$country 		= isset($_POST['country']) 		? $_POST['country'] 	: '';
$email 			= isset($_POST['email']) 		? $_POST['email'] 		: '';
$headOffice 	= isset($_POST['headOffice']) 	? $_POST['headOffice'] 	: '';
$comment 		= isset($_POST['comment'])	 	? $_POST['comment'] 	: '';
$name 			= isset($_POST['name']) 		? $_POST['name'] 		: '';
$phone 			= isset($_POST['phone']) 		? $_POST['phone'] 		: '';
$businessType 	= isset($_POST['businessType'])	? $_POST['businessType']: '';

// Add new Business in DB
if (isset ($_POST['add']))
{
	// Check if business exists
	$query = 'SELECT * FROM business WHERE name="'.$name.'";';
	$result = mysql_query($query) or die('Error, query business table query failed. The query: '.$query.'. Error: '.mysql_error());
	
	// Does business exist?
	if (mysql_num_rows($result) == 0)
	{
		// Save business in database
		$insert  = 'INSERT INTO business (activity,country,email,headOffice,comment,name,phone,businessType,creationDate) values (';
		$insert .= '"'.$activity.'","'.$country.'","'.$email.'","'.$headOffice.'","'.$comment.'","'.$name.'","'.$phone.'","'.$businessType.'",now())';
		
		$result = mysql_query($insert) or die('Error 01: Insert business table query failed. The query: '.$insert.' Error: '.mysql_error());
		
		//Get id that business added
		$query = 'SELECT id FROM business WHERE name="'.$name.'";';
		$result = mysql_query($query) or die('Error 02: Read business table query failed. The query: '.$query.'. Error: '.mysql_error());
		$row = mysql_fetch_assoc($result);
		
		// Go to info new business
		header('Location: business.php?businessId='.$row['id']);
	}
	else {
		?><script type="text/javascript">alert("La empresa ya existe.");</script><?php
	}
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.filter.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Añadir empresa</title>
</head>
<body>
	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "businessSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
    
    // New business form
    ?>
    <section>
    	   
    <h2>Nueva empresa</h2>
    <div class="divider"></div>
    <article id="inputForm">

    <form action="addBusiness.php" name="businessForm" method="post">
   	<ul>
	  <li><label for="name">Nombre:</label></li>
	  <li><input name="name" required="required" maxlength="100" placeholder="Nombre de la empresa" id="name" value="<?php echo $name ?>"></li>
	  
	  <li><label for="activity">Actividad:</label></li>
	  <li><input name="activity" maxlength="150" placeholder="Actividad de la empresa" id="activity" value="<?php echo $activity ?>"></li>
	  
	  <li><label for="businessType">Tipo:</label></li>
	  <li><select name="businessType"  id="businessType">
	    <?php
		  $query = 'SELECT name FROM businessType ORDER BY name ASC;';
		  $result = mysql_query($query) or die('Error 02: Read businessType query failed. The query: '.$query.'. Error: '.mysql_error());
		  while ($row = mysql_fetch_assoc($result)) {
			echo "<option value='".$row['name']."'>".$row['name']."</option>";
		  }
		?>
	  </select></li>
	  <script>selectComboBox("businessType", "<?php echo $businessType ?>", "false");</script>

	  <li><label for="phone">Teléfono:</label></li>
	  <li><input name="phone" maxlength="30" placeholder="Teléfono" id="phone" value="<?php echo $phone ?>" ></li>
	  
	  <li><label for="email">Correo electrónico:</label>
	  <li><input name="email" type="email" maxlength="50" placeholder="ejemplo@dominio.com" id="email" value="<?php $email ?>"></li>
	  
	  <li><label for="headOffice">Sede:</label></li>
	  <li><input name="headOffice" placeholder="Dirección de la sede" maxlength="150" id="headOffice" value="<?php echo $headOffice ?>"></li>
	  
	  <li><label for="country">País:</label></li>
	  <li><select name="country" id="country">
	  	<?php
		  $query = 'SELECT * FROM country ORDER BY nameES ASC;';
		  $result = mysql_query($query) or die('Error 02: Read country query failed. The query: '.$query.'. Error: '.mysql_error());
		  while ($row = mysql_fetch_assoc($result)) {
		 	echo "<option value='".$row['nameES']."'>".$row['nameES']."</option>";
		  }
		?>
	  </select></li>
	  <script>selectComboBox("country", "<?php echo $country ?>", "yes");</script>
	  
	  <li><label for="comment">Comentarios:</label><li>
	  <li><textarea name="comment" maxlength="500" placeholder="Max. 500 caracteres" id="comment"><?php echo $comment ?></textarea></li>

	  <li><button class="submit" name="add" type="submit">Añadir empresa</button></li>
	</ul>
    </form>
    
    </article>
	</section>
    <?php

    include 'include/footer.php';
	?>
</body>
</html>