<?php 
/*
 *  File: addDocument.php
 *  Data: 19/01/2014
 *
 *  Document form that allows adding a new document in database
 * 
 */
require 'include/checkSession.php';

$businessId = $_GET["businessId"];

$query = 'SELECT * FROM business WHERE id='.$businessId;
$result = mysql_query($query) or die('Error 02: Read business table query failed. The query: '.$query.'. Error: '.mysql_error());
$row = mysql_fetch_assoc($result);

$businessName = $row['name'];

// Atributes of new document pass from $_POST
$documentType	= isset($_POST['documentType'])	? $_POST['documentType']	: '';
$description	= isset($_POST['description']) 	? $_POST['description'] 	: '';

// Add new document in database
if (isset ($_POST['add']))
{
	// Get file extension
	$fileType = $_FILES['uploadedfile']['type'];
	
	// Check if extension is correct
	if (!(strpos($fileType, "pdf") || strpos($fileType, "jpeg"))) 
	{
		if ($fileType == '') {
			?><script type="text/javascript">alert("Por favor, añada un documento.");</script><?php
		}
		else {
			?><script type="text/javascript">alert("Este tipo de fichero no está permitido. Asegúrese que el documento es un PDF o JPEG.");</script><?php
		}
	}
	else
	{	// Temporal file (path and name).
		$tempFile = $_FILES['uploadedfile']['tmp_name'] ;
		
		$fp = fopen($tempFile, 'r');
		$document = fread($fp, filesize($tempFile));
		$document = addslashes($document);
		fclose($fp);
		
		// Save path document in database
		$insert  = 'INSERT INTO document (businessId, description, file, documentType, fileType) values ('.$businessId.',"'.$description.'","'.$document.'","'.$documentType.'","'.$fileType.'");';
		
		$result = mysql_query($insert) or die('Error 01: Insert document table query failed. The query: '.$insert.' Error: '.mysql_error());
		
		header('Location: business.php?businessId='.$businessId);
	}
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Añadir documento</title>
</head>
<body>
	<!-- Section variable that selects navigation bar -->
	<script>var section = "businessSection"</script>
  <?php

    include 'include/header.php';		// Navigation bar
    
    // New document form
    ?>
    <section>
    
    <h2><?php echo $businessName ?></h2>
    <div class="divider"></div>
    <h3>Nuevo documento</h3>
    <article id="inputForm">
    
    <form action="addDocument.php?businessId=<?php echo $businessId ?>" name="appointmentForm" method="post" enctype="multipart/form-data">
   	<ul>
	  <li><label for="file">Fichero:</label></li>
	  <li><input id="file" type="file" name="uploadedfile"></li>
	  <li><input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $MAX_DOCUMENT_SIZE ?>"></li>
	  
	  <li><label for="documentType">Tipo:</label></li>
	  <li>
	  	<select name="documentType" id="documentType" >
	    	<option value="VAR" selected>VAR</option>
	    	<option value="NDA">NDA</option>
			<option value="Otros">Otros</option>
		</select>
	  </li><script>selectComboBox("documentType", "VAR", "false");</script>
	  
	  <li><label for="description">Descripción:</label></li>
	  <li><textarea name="description" maxlength="100" placeholder="Max. 100 caracteres" id="description"><?php echo $description ?></textarea></li>

	  <li><button name="add" type="submit">Añadir documento</button></li>
	</ul>
	  
    </form>
    </article>
	</section>
    <?php

    include 'include/footer.php';
    ?>
</body>
</html>