<?php
/*
 *  File: admin.php
 *  Data: 19/01/2014
 *
 *  This is the user manager that allows to add, edit and remove users.
 *
 */
require 'include/checkSession.php';
 
// Check if it is an admin user
if ($accessLevel != $ADMIN_VALUE) header('Location: home.php');

// title new user
$title = 'Nuevo usuario';
$typeForm = 'add';

// Is edit form activated?
if (isset($_GET['edit']))
{
	// Read user for edit form
	$userId = $_GET['edit'];
	$query = 'SELECT * FROM CRMUser WHERE id='.$userId;
	$result = mysql_query($query) or die('Error 02: Read CRMUser table query failed. The query: '.$query.'. Error: '.mysql_error());
	$row = mysql_fetch_assoc($result);
	
	// Update title to user edit
	$title = 'Editar usuario';
	$typeForm = 'edit';
}

// Atributes from database
$user	 		= isset($row['user']) 				? $row['user'] 				: '';
$pass	 		= isset($row['password'])			? $row['password']			: ''; 
$rePass	 		= isset($row['password'])			? $row['password']			: ''; 
$email	 		= isset($row['email'])				? $row['email'] 			: '';
$fromAccessLevel= isset($row['accessLevel'])		? $row['accessLevel']		: 0;
$color 			= isset($row['color'])				? $row['color'] 			: '';

// Update atributes from $_POST
$user	 		= isset($_POST['user']) 			? $_POST['user'] 			: $user;
$pass	 		= isset($_POST['pass'])				? $_POST['pass']			: $pass; 
$rePass	 		= isset($_POST['rePass'])			? $_POST['rePass']			: $rePass; 
$email	 		= isset($_POST['email'])			? $_POST['email'] 			: $email;
$fromAccessLevel= isset($_POST['fromAccessLevel'])	? $_POST['fromAccessLevel']	: $fromAccessLevel;
$color 			= isset($_POST['color'])			? $_POST['color'] 			: $color;

// Add user in database
if (isset($_POST['add']))
{	
	$query = 'SELECT * FROM CRMUser WHERE user="'.$user.'";';
	$result = mysql_query($query) or die('Error 02: Read CRMUser table query failed. The query: '.$query.'. Error: '.mysql_error());
	
	if (mysql_num_rows($result) == 0)
	{
		// Encript password with SHA1
		$pass = sha1($_POST['pass']);
		
		// Insert user
		$insert  = 'INSERT INTO CRMUser (user, password, accessLevel, color,email) values ("'.$user.'","'.$pass.'","'.$fromAccessLevel.'","'.$color.'","'.$email.'");';
		$result = mysql_query($insert) or die('Error 01: Insert CRMUser table query failed. The query: '.$insert.' Error: '.mysql_error());
		
		header('Location: admin.php');
	}
	else {
		?><script type="text/javascript">alert("El usuario ya existe.");</script><?php
	 }
}

// Edit user in database
if (isset($_POST['edit']))
{

	// Check if username exists.
	$query = 'SELECT * FROM CRMUser WHERE user="'.$user.'" AND id!='.$userId;
	$result = mysql_query($query) or die('Error 02: Read CRMUser table query failed. The query: '.$query.'. Error: '.mysql_error());

	if (mysql_num_rows($result) == 0)
	{
		// Check if the psswd has changed
		$pass = ($_POST['pass'] == $row['password']) ? $row['password'] : sha1($_POST['pass']);
	
		// Insert user
		$update = 'UPDATE CRMUser SET user="'.$user.'", accessLevel='.$fromAccessLevel.', password="'.$pass.'", color="'.$color.'", email="'.$email.'" WHERE id='.$userId;
		$result = mysql_query($update) or die('Error 01: Insert appointment table query failed. The query: '.$update.' Error: '.mysql_error());
		
		header('Location: admin.php');
	}
	else {
		?><script type="text/javascript">alert("El nombre de usuario ya existe.");</script><?php
	}
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.filter.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Administración</title>
</head>
<body>
	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "adminSection"</script>
  <?php

    include 'include/header.php';		// Navigation bar
    include 'include/function.php';		// Helper functions

    ?>
	<section>       
    <h2><?php echo $title ?></h2>
    <div class="divider"></div>
    <article id="filterForm">
                        
    <form action="admin.php?edit=<?php echo $userId ?>" name="formContact" method="post" onsubmit="return comparePassowrd()">
    <ul>                
    <li>
    	<label class="double" for="user">Nombre usuario:</label>
    	<label for="pass">Password:</label>
    	<label for="fromAccessLevel">Tipo de usuario:</label>
	</li>	
    <li> 	
    	<input name="user" class="double" id="user" required="required" maxlength="50" placeholder="Nombre de usuario" value="<?php echo $user ?>" >
    	<input name="pass" id="pass" maxlength="10" required="required" type="password" value="<?php echo $pass ?>">            
    	<select name="fromAccessLevel" id="fromAccessLevel">
    		<option value="<?php echo $BASIC_VALUE ?>">Básico</option>
    		<option value="<?php echo $ADVANCE_VALUE ?>">Avanzado</option>
    		<option value="<?php echo $ADMIN_VALUE ?>">Administrador</option>
    	</select>
    	<script>selectComboBox("fromAccessLevel", <?php echo $fromAccessLevel ?>, "false");</script>
	</li>               
    <li>
    	<label class="double" for="email">Correo electrónico:</label> 
    	<label for="rePass">Verificación de password:</label>
    	<label for="color">Color:</label>
	</li>    	
    <li>    	       
    	<input name="email" maxlength="40" class="double" required="required" placeholder="Correo electrónico donde se envían los avisos" value="<?php echo $email ?>">
    	<input name="rePass" id="rePass" maxlength="10" required="required" type="password" value="<?php echo $rePass ?>">          
	    <select name="color" id="color">
		  <?php
			$query = 'SELECT * FROM color ORDER BY color ASC;';
		  	$result = mysql_query($query) or die('Error 02: Read color query failed. The query: '.$query.'. Error: '.mysql_error());
		  	while ($row = mysql_fetch_assoc($result)) {
		 		echo "<option value='".$row['color']."'>".$row['color']."</option>";
		 	 }
		  ?>
    	</select>
    	<script>selectComboBox("color", "<?php echo $color ?>", "false");</script>
        <button name="<?php echo $typeForm ?>" type="submit"><?php echo $title ?></button>
    </li>
    </ul>        
    </form>
    </article>
    <article> 
    <?php
    
    // Info users
    $query = 'SELECT * FROM CRMUser u JOIN color c ON u.color=c.color ORDER BY user ASC';
    $result = mysql_query($query) or die('Error 02: Read CRMUser table query failed. The query: '.$query.'. Error: '.mysql_error());
    
    echo '<h2>Usuarios</h2>';
	echo '<div class="divider"></div>';
	
	echo '<a href="admin.php" class="button">Nuevo usuario</a>';
    
    // Users table
    echo '<table class="sortable list">';
    echo '<thead>';
	echo '<tr>';
    echo '<th style="width:3%"></th>';
    echo '<th>Usuario</th>';
    echo '<th>Correo electrónico</th>';
    echo '<th style="width:10%">Tipo</th>';
    echo '<th class="center" style="width:6%">Editar</th>';
    echo '<th class="center" style="width:6%">Eliminar</th>';
	echo '</tr>';
    echo '</thead>';

    while ($row = mysql_fetch_assoc($result))
	{ 
    	echo '<tr>';
    	echo '<td class="center"><img src="images/'.$row['file'].'" alt="Icono color usuario"></td>';
    	echo '<td>'.$row['user'].'</td>';
		echo '<td>'.$row['email'].'</td>';
    	echo '<td>'.accessLevelToString($row['accessLevel']).'</td>';
    	echo '<td class="center"><a href="admin.php?edit='.$row['id'].'"><img src=images/edit.png alt="Icono editar usuario"></a></td>';
		?><td class="center"><a onclick="deleteContact('deleteUser.php?userId=<?php echo $row['id'] ?>')"><img src="images/delete.png" alt="Icono eliminar usuario"></a></td><?php
    	echo '</tr>';
    }
    
  
  	echo '</article>';
  	echo '</section>';	
    
  	include 'include/footer.php';
  	?> 
</body>
</html>