<?php 
/*
 *  File: editDocument.php
 *  Data: 19/01/2014
 *  
 *  Document form that allows editing a document in database.
 *  DocumentId is the primary key of document table
 * 
 */
require 'include/checkSession.php';

$documentId = $_GET["documentId"];

$query = 'SELECT d.id, d.documentType, d.documentType, d.description, b.id as businessId, b.name as businessName
		  FROM document d JOIN business b ON d.businessId=b.id
		  WHERE d.id='.$documentId;
		  
$result = mysql_query($query) or die('Error 02: Read document table query failed. The query: '.$query.'. Error: '.mysql_error());
$row = mysql_fetch_assoc($result);

$businessId 	= $row['businessId'];
$businessName	= $row['businessName'];

// Atributes of new document pass from $_POST
$documentType	= isset($_POST['documentType'])	? $_POST['documentType']	: $row['documentType'];
$description	= isset($_POST['description']) 	? $_POST['description'] 	: $row['description'];

// Edit document to DB
if (isset ($_POST['edit']))
{
	// Is there a new document?
	if($_FILES['uploadedfile']['tmp_name'] != "")
	{
		// Get file extension
		$fileType = $_FILES['uploadedfile']['type'];
		
		// Check if extension is correct
		if (!(strpos($fileType, "pdf") || strpos($fileType, "jpeg")))
		{
			?><script type="text/javascript">alert("Este tipo de fichero no está permitido. Asegúrese que el documento es un PDF o JPEG.");</script><?php
		}
		else
		{	// Temporal file (path and name).
			$tempFile = $_FILES['uploadedfile']['tmp_name'] ;
			
			$fp = fopen($tempFile, 'r');
			$document = fread($fp, filesize($tempFile));
			$document = addslashes($document);
			fclose($fp);
				
			// Update new document in database
			$update = 'UPDATE document SET description="'.$description.'", documentType="'.$documentType.'", fileType="'.$fileType.'", file="'.$document.'" WHERE id ='.$documentId;
			$result = mysql_query($update) or die('Error 03: Update document table query failed. The query: '.$update.' Error: '.mysql_error());
			
			header('Location: business.php?businessId='.$businessId);
		}
	}
	else
	{	// Update document in database
		$update = 'UPDATE document SET description="'.$description.'",documentType="'.$documentType.'" WHERE id ='.$documentId;
		$result = mysql_query($update) or die('Error 03: Update document table query failed. The query: '.$update.' Error: '.mysql_error());
		
		header('Location: business.php?businessId='.$businessId);
	}
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Editar documento</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "businessSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
       
    // Document form
    ?>
    <section>
    
    <h2><?php echo $documentType ?></h2>
    <div class="divider"></div>
    <h3>Editar documento</h3><br>
    <article id="inputForm">
    
    <form action="editDocument.php?documentId=<?php echo $documentId ?>" name="formContact" method="post" enctype="multipart/form-data">
   	<ul>
	  <li><label for="file">Fichero:</label></li>
	  <li><input type="file" id="file" name="uploadedfile"></li>
	  <li><input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $MAX_DOCUMENT_SIZE ?>"></li>
	  
	  <li><label for="documentType">Tipo:</label></li>
	  <li>
	  	<select name="documentType" id="documentType">
	  		<option value='VAR' selected>VAR</option>
		    <option value='NDA'>NDA</option>
		    <option value='Otros'>Otros</option>
		</select>
	  </li><script>selectComboBox("documentType", "<?php echo $documentType ?>", "false");</script>
	  	  
	  <li><label for="description">Descripción:</label></li>
	  <li><textarea name="description" maxlength="100" placeholder="Max. 100 caracteres" id="description"><?php echo $description ?></textarea></li>

	  <li><button name="edit" type="submit">Editar documento</button></li>
	</ul>
	  
    </form>
    </article>
	</section>
    <?php

    include 'include/footer.php';
  	?>
</body>
</html>