<?php
/* Return type of user label */
function accessLevelToString($accessLevelUser) {
	switch ($accessLevelUser) {
		case 0 :
			return "Básico";
			break;
		case 50 :
			return "Avanzado";
			break;
		case 99 :
			return "Administrador";
	}
}

/* Return bell or attention icon depending the date */
function stateAppaintmentToRuteIcon($rememberDate) {
	
	$timeNow = strtotime(date("now"));
	$rememberDate = strtotime($rememberDate);			
			
	if($timeNow < $rememberDate){
		return 'images/bell.png';	// future event
	}
	else{
	    return 'images/attention.png';	// Past event
	}
}

/* Change the Byte size to KiloByte or MegaByte size */
function changeByteToMegabyte($size){
	$size = (int)$size / 1024;
	if ($size < 1024) {
		return number_format($size, 2, ',', '.').' KB';
	} 
	return number_format(($size/1024), 2, ',', '.').' MB';
}

/* Select value in Multiselect combobox */
function matchValuesMultiSelect($value1, $value2){
	if ($value1 == $value2){
		return ' selected="selected"';
	} 
	return '';
}


/* Select value in Multiselect combobox */
function findValueOnListMultiSelect($value, $list){
	$listValues = explode( ',' , $list);
	foreach ($listValues as $key) {
		if ($value == $key){
			return ' selected="selected"';
		}
	} 
	return '';
}

/* Crop long string to 10 characters */
function cropLongString ($string) {
    if ( strlen($string) > 10) {
        
    }
    return $string;
}

/*
 * Function responsible for sending unicode emails.
 *
 * @author Gajus Kuizinas <g.kuizinas@anuary.com>
 * @version 1.0.1 (2012 01 11)
 */
function mail_send($arr)
{
    if (!isset($arr['to_email'], $arr['from_email'], $arr['subject'], $arr['message'])) {
        throw new HelperException('mail(); not all parameters provided.');
    }
    
    $to		 = empty($arr['to_name']) ? $arr['to_email'] : '"' . mb_encode_mimeheader($arr['to_name']) . '" <' . $arr['to_email'] . '>';
    $from    = empty($arr['from_name']) ? $arr['from_email'] : '"' . mb_encode_mimeheader($arr['from_name']) . '" <' . $arr['from_email'] . '>';
    
    $headers = array
    (
        'MIME-Version: 1.0',
        'Content-Type: text/html; charset="UTF-8";',
        'Content-Transfer-Encoding: 7bit',
        'Date: ' . date('r', $_SERVER['REQUEST_TIME']),
        'Message-ID: <' . $_SERVER['REQUEST_TIME'] . md5($_SERVER['REQUEST_TIME']) . '@' . $_SERVER['SERVER_NAME'] . '>',
        'From: ' . $from,
        'Reply-To: ' . $from,
        'Return-Path: ' . $from,
        'X-Mailer: PHP v' . phpversion(),
        'X-Originating-IP: ' . $_SERVER['SERVER_ADDR'],
    );
    
    mail($to, '=?UTF-8?B?' . base64_encode($arr['subject']) . '?=', $arr['message'], implode("\n", $headers));
}
?>