<?php
/*
 *  File: quickSearch.php
 *  Data: 19/01/2014
 * 
 *  Search with tool bar
 *
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Busqueda rápida</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "searchSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
    
    echo '<section>';         
    echo '<h2>Búsqueda rápida</h2>';
    echo '<div class="divider"></div>';
    echo '<article>';

    $search = $_REQUEST['search'];
    
    // Search on Contact and Business
    $query = 'SELECT c.id, c.name, c.surname, c.email, c.country, c.phone, b.name as business, b.id as businessId
      		  FROM contact c JOIN business b ON c.businessId=b.id
			  WHERE c.name LIKE "%'.$search.'%" OR c.surname LIKE "%'.$search.'%" OR c.email LIKE "%'.$search.'%" OR c.country LIKE "%'.$search.'%" OR b.name LIKE "%'.$search.'%" OR b.country LIKE "%'.$search.'%" 
      		  ORDER BY c.name ASC;';
    
    $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
    
    if (mysql_num_rows($result) > 0)
    {
	    echo '<h3>Contactos</h3>';
	    echo '<div class="divider"></div>';
	    	
	    // Contact table 
	    echo '<table class="sortable list">';
	    echo '<thead>';
		echo '<tr>';
	    echo '<th>Empresa</th>';
	    echo '<th>Nombre</th>';
	    echo '<th>eMail</th>';
	    echo '<th>Teléfono</th>';
	    echo '<th>País</th>';
	    echo '<th class="center" style="width:6%" >Información</th>';
		echo '</tr>';
	    echo '</thead>';
	    
	    while ($row = mysql_fetch_assoc($result))
	    {	    
	    	echo '<tr>';
	    	echo '<td><a href="business.php?businessId='.$row['businessId'].'">'.$row['business'].'</a></td>';
	    	echo '<td><a href="contact.php?contactId='.$row['id'].'">'.$row['name'].' '.$row['surname'].'</a></td>';
	    	echo '<td><a href="mailto:'.$row['email'].'">'.$row['email'].'</a></td>';
	    	echo '<td>'.$row['phone'].'</td>';
	    	echo '<td>'.$row['country'].'</td>';
	    	echo '<td class="center"><a href="contact.php?contactId='.$row['id'].'"><img src=images/info.png alt="Icono información contacto"></a></td>';
			echo '</tr>';
	    } 
	    echo '</table>';

    }
    
    // Search on Business
    $query = 'SELECT id, name, email, country, phone, businessType
      		  FROM business 
			  WHERE email LIKE "%'.$search.'%" OR country LIKE "%'.$search.'%" OR name LIKE "%'.$search.'%" OR businessType LIKE "%'.$search.'%" OR country LIKE "%'.$search.'%" 
      		  ORDER BY name ASC;';
    
    $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
    
    if (mysql_num_rows($result) > 0)
	{  	
    	echo '<h3>Empresas</h3>';
    	echo '<div class="divider"></div>';
    	    
    	// Business table
    	echo '<table class="sortable list">';
    	echo '<thead>';
		echo '<tr>';
    	echo '<th>Empresa</th>';
    	echo '<th>Tipo</th>';    	
    	echo '<th>eMail</th>';
    	echo '<th>Teléfono</th>';
    	echo '<th>País</th>';
    	echo '<th class="center" style="width:6%">Información</th>';
    	echo '</tr>';
    	echo '</thead>';
    	
    	while ($row = mysql_fetch_assoc($result))
		{
    		echo '<tr>';
    		echo '<td><a href="business.php?businessId='.$row['id'].'">'.$row['name'].'</a></td>';
    		echo '<td>'.$row['businessType'].'</td>';
    		echo '<td><a href="mailto:'.$row['email'].'">'.$row['email'].'</a></td>';
    		echo '<td>'.$row['phone'].'</td>';
    		echo '<td>'.$row['country'].'</td>';
    		echo '<td class="center"><a href="business.php?businessId='.$row['id'].'"><img src="images/info.png" alt="Icono información empresa"></a></td>';
    		echo '</tr>';
    	}
    	echo '</table>';  
    }
    echo '</article>';
    echo '</section>';
    
	include 'include/footer.php';
    ?>
</body>
</html>