<?php 
/*
 *  File: search.php
 *  Data: 19/01/2014
 *  
 *  Advance search.
 * 
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.filter.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Búsqueda avanzada</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "searchSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
    
    // Atributs form POST
    $business		= isset($_REQUEST['business']) 		? $_REQUEST['business'] 	: 'all';
    $table 			= isset($_REQUEST['table']) 		? $_REQUEST['table']		: 'c';
    $country 		= isset($_REQUEST['country']) 		? $_REQUEST['country'] 		: 'all';
    $dateStart 		= isset($_REQUEST['dateStart'])		? $_REQUEST['dateStart'] 	: '';
    $dateFinish		= isset($_REQUEST['dateFinish'])	? $_REQUEST['dateFinish'] 	: '';
    $keyword 		= isset($_REQUEST['keyword'])		? $_REQUEST['keyword'] 		: '';
    $businessType	= isset($_REQUEST['businessType'])	? $_REQUEST['businessType']	: 'all';

    // Filter search
    ?>
    <section>
    
    <h2>Búsqueda avanzada</h2>
    <div class="divider"></div>
    <article id="filterForm">
    
    <form action="search.php" name="formFilter" method="post">
   	<ul>
   	  <li>
	  	<label for="keyword" class="double">Palabra clave:</label>
	  	<label for="searchTable">Tabla:</label>
	  	<label for="from">Fecha inicio:</label>
   	  </li>
   	  
   	  <li>
   	  	<input value="<?php echo $keyword ?>" placeholder="Palabra o frase clave" id="keyword" name="keyword" class="double"> 
   	  	<select name="table" id="searchTable">
	   		<option value="c">Contactos</option>
	    	<option value="b">Empresas</option>
	    	<option value="a">Citas</option>
	  	</select>
	  	<script type="text/javascript">selectComboBox("searchTable", "<?php echo $table ?>");</script>
	  	<input id="from" class="short" value="<?php echo $dateStart ?>" name="dateStart">
      <li>
   	
   	  <li>
   	  	<label for="businessName">Empresa:</label>
   	  	<label for="businessType">Tipo de empresa:</label>
   	  	<label for="country">País:</label>
   	  	<label for="to">Fecha fin:</label>
   	  </li>
   	  
   	  <li>  	  
   	  	<select name="business" id="businessName">
	    	<option value="all">Todas</option>
	    	<?php 
	    		$query = 'SELECT * FROM business ORDER BY name ASC;';
	    		$result = mysql_query($query) or die('Error 02: Read business table query failed. The query: '.$query.'. Error: '.mysql_error());
	    		while($row = mysql_fetch_assoc($result)){
					echo '<option value="'.$row['name'].'">'.$row['name'].'</option>';				
	    		}
	    	?>
	  	</select>
	  	<script type="text/javascript">selectComboBox("businessName", "<?php echo $business ?>", "yes");</script>
	  
	  	<select name="businessType" id="businessType">
	  		<option value="all">Todas</option>
		    <?php 
		    	$query = "SELECT name FROM businessType ORDER BY name ASC;";
		    	$result = mysql_query($query) or die('Error, read country table query failed. The query: '.$query.'. Error: '.mysql_error());
		    	while($row = mysql_fetch_assoc($result)){
					echo '<option value="'.$row['name'].'">'.$row['name'].'</option>';				
		    	}
		    ?>
	 	</select>
	  	<script type="text/javascript">selectComboBox("businessType", "<?php echo $businessType ?>");</script>

	  	<select name="country" id="country">
	    	<option value="all">Todos</option>
		    <?php 
		    	$query = 'SELECT * FROM country ORDER BY nameES ASC';
		    	$result = mysql_query($query) or die('Error 02: Read country table query failed. The query: '.$query.'. Error: '.mysql_error());
		    	while($row = mysql_fetch_assoc($result)){
					echo '<option value="'.$row['nameEN'].'">'.$row['nameES'].'</option>';				
		    	}
		    ?>
	  	</select>
	  	<script type="text/javascript">selectComboBox("country", "<?php echo $country ?>", "yes");</script>	  
	  
	  	<input id="to" class="short" value="<?php echo $dateFinish ?>" name="dateFinish">
	  
	  	<button name="search" type="submit" onclick="return compareDate()">Buscar</button>
	  </li>
	</ul>
	<!-- Initialize the datepickers {from, to} -->
	<script type="text/javascript">initDate();</script>
    </form>
    
   	</article>
   	<?php 
   	
   	if ($country != 'all' || isset($_REQUEST['businessType'])) {
		// Print the advance search
		
		// Prepare query where
		$whereBusiness = ($business == 'all') ? '' : ' AND b.name="'.$business.'"';
		$whereCountry  = ($country == 'all') ? '' : ' AND cy.nameEN="'.$country.'"';
		$whereType   = ($businessType == 'all') ? '' : ' AND b.businessType="'.$businessType.'"';
		$whereDate = '';
		
		// Check correct dates from < to
		
		if($dateStart != '' and $dateFinish != '') {
			// Prepare format date
			$start = 'STR_TO_DATE("'.$dateStart.' 00:00:00", "%d/%m/%Y %k:%i:%s")';
			$finish = 'STR_TO_DATE("'.$dateFinish.' 23:59:59", "%d/%m/%Y %k:%i:%s")';
			
			$whereDate = ' AND '.$table.'.creationDate>='.$start.' AND '.$table.'.creationDate<='.$finish;
		}
		
		$where = $whereBusiness.$whereCountry.$whereType.$whereDate;
		
	    switch ($table) {
	    	case 'a':
				// Admin users can see all appoitments
				$whereAdmin = ($accessLevel == $ADMIN_VALUE) ? '' : ' AND userId='.$userId.' ';
				
	    		$query = 'SELECT b.name as business, b.id as businessId, c.id as contactId, c.name, c.surname, cy.nameES, a.id, a.summary, date_format(a.creationDate,"%d/%m/%Y") as date, cr.file
    					  FROM appointment a JOIN contact c ON a.contactId=c.id JOIN country cy ON c.country=cy.nameES JOIN business b ON c.businessId=b.id JOIN CRMUser u ON a.userId=u.id JOIN color cr ON u.color=cr.color
    					  WHERE (c.name LIKE "%'.$keyword.'%" OR c.surname LIKE "%'.$keyword.'%" OR c.email LIKE "%'.$keyword.'%" OR b.name LIKE "%'.$keyword.'%" OR b.email LIKE "%'.$keyword.'%" OR a.comment LIKE "%'.$keyword.'%" OR a.summary LIKE "%'.$keyword.'%") '.$where.$whereAdmin.' 
      		  			  ORDER BY a.creationDate DESC';
	    		break;
	    	case 'c':
	    		$query = "SELECT b.name as business, b.id as businessId, b.businessType, c.id as contactId, c.name, c.surname, c.mobile, c.email, c.country, date_format(c.creationDate,'%d/%m/%Y') as date
    					  FROM contact c JOIN country cy ON c.country=cy.nameES JOIN business b ON c.businessId=b.id
    					  WHERE (c.name LIKE '%".$keyword."%' OR c.surname LIKE '%".$keyword."%' OR c.email LIKE '%".$keyword."%' OR b.name LIKE '%".$keyword."%' OR b.email LIKE '%".$keyword."%') ".$where." 
      		 			  ORDER BY c.name ASC";
	    		break;
	    	default:
	    		$query = "SELECT b.name as business, b.id as businessId, b.businessType, b.email, cy.nameES, date_format(b.creationDate,'%d/%m/%Y') as date
    					  FROM business b JOIN country cy ON b.country=cy.nameES
    					  WHERE (b.name LIKE '%".$keyword."%' OR b.email LIKE '%".$keyword."%') ".$where." 
      		 			  ORDER BY b.name ASC";
	    }
   
	    // Check number of elements
		$resNum = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
		$numElements = mysql_num_rows($resNum);
		
		$result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$queryLimit.'. Error: '.mysql_error());		
		
		if ($table == 'a') {
			// Table of appointments	
			
	 		echo '<h3>Citas encontradas: '.$numElements.'</h3>';
			echo '<div class="divider"></div>';
			echo '<article>';
			
			echo '<table class="list">';
			echo '<thead>';
			echo '<tr>';
		    if ($accessLevel == $ADMIN_VALUE) { // Mark color user
		    	echo '<th style="width:1%"></th>';
		    }
			echo '<th style="width:8%">Fecha</th>';
			echo '<th>Empresa</th>';
			echo '<th>Nombre</th>';
			echo '<th>Resumne</th>';
			echo '<th>País</th>';
			echo '<th class="center" style="width:6%">Editar</th>';
			echo '</tr>';
			echo '</thead>';
				 
			while ($row = mysql_fetch_assoc($result))
			{
				echo '<tr>';
	    		if ($accessLevel == $ADMIN_VALUE) // Mark color user
	    			echo '<td class="center"><img src=images/'.$row['file'].'></td>';
				echo '<td>'.$row['date'].'</td>';
				echo '<td><a href="business.php?businessId='.$row['businessId'].'">'.$row['business'].'</a></td>';
				echo '<td><a href="contact.php?contactId='.$row['contactId'].'">'.$row['name'].' '.$row['surname'].'</a></td>';
				echo '<td>'.$row['summary'].'</td>';
				echo '<td>'.$row['nameES'].'</td>';
				echo '<td class="center"><a href="editAppointment.php?appointmentId='.$row['contactId'].'"><img src=images/edit.png></a></td>';
				echo '</tr>';
			}
			echo '</table>';
		}
		
		if ($table == 'c') {
			// Table of contacts
				
			echo '<h3>Contactos encontrados: '.$numElements.'</h3>';
			echo '<div class="divider"></div>';
			echo '<article>';
				
			echo '<table class="list">';
			echo '<thead>';
			echo '<tr>';
			echo '<th style="width:8%">Fecha</th>';
			echo '<th style="width:8%">Tipo</th>';
			echo '<th>Empresa</th>';
			echo '<th>Nombre</th>';
			echo '<th>eMail</th>';
			echo '<th style="width:10%">Móvil</th>';
			echo '<th style="width:10%">País</th>';
			echo '<th class="center" style="width:6%">Editar</th>';
			echo '</tr>';
			echo '</thead>';
				
			while ($row = mysql_fetch_assoc($result))
			{
				echo '<tr>';
				echo '<td>'.$row['date'].'</td>';
				echo '<td>'.$row['businessType'].'</td>';
				echo '<td><a href="business.php?businessId='.$row['businessId'].'">'.$row['business'].'</a></td>';
				echo '<td><a href="contact.php?contactId='.$row['contactId'].'">'.$row['name'].' '.$row['surname'].'</a></td>';
				echo '<td><a href="mailto:'.$row['email'].'">'.$row['email'].'</a></td>';
				echo '<td>'.$row['mobile'].'</td>';
				echo '<td>'.$row['country'].'</td>';
				echo '<td class="center"><a href="editContact.php?contactId='.$row['contactId'].'"><img src=images/edit.png></a></td>';
				echo '</tr>';
			}
			echo '</table>';
		}
		
		if ($table == 'b') {
			// Table of contacts
		
			echo '<h3>Empresas encontradas: '.$numElements.'</h3>';
			echo '<div class="divider"></div>';
			echo '<article>';
			
			echo '<table class="list">';
			echo '<thead>';
			echo '<th style="width:8%">Fecha</th>';
			echo '<th>Empresa</th>';
			echo '<th style="width:9%">Tipo</th>';
			echo '<th>eMail</th>';
			echo '<th>País</th>';
			echo '<th class="center" style="width:6%">Editar</th>';
			echo '</thead>';
		
			while ($row = mysql_fetch_assoc($result))
			{
				echo '<tr>';
				echo '<td>'.$row['date'].'</td>';
				echo '<td><a href="business.php?businessId='.$row['businessId'].'">'.$row['business'].'</a></td>';
				echo '<td>'.$row['businessType'].'</td>';
				echo '<td><a href="mailto:'.$row['email'].'">'.$row['email'].'</a></td>';
				echo '<td>'.$row['nameES'].'</td>';
				echo '<td class="center"><a href="editBusiness.php?businessId='.$row['businessId'].'"><img src=images/edit.png></a></td>';
				echo '</tr>';
			}
			echo '</table>';
		}
		echo '</article>';
	}
    echo '</section>';

    include 'include/footer.php';
    ?>
</body>
</html>