<?php
/*
 *  File: editAppointment.php
 *  Data: 19/01/2014
 * 
 *  This file contains an appointment form that allows you to edit an appointment 
 * 
 *
 */
require 'include/checkSession.php'; 

$appointmentId = (int)$_GET['appointmentId'];

if (isset ($_POST['add']))
{
	$remember 		= isset($_POST['remember']) ? $_POST['remember'] : '';
	
	// Atributes from $_POST
	$comment	 	= $_POST['comment'];
	$creationDate 	= 'STR_TO_DATE("'.$_POST['create'].'", "%d/%m/%Y %k:%i")';
	$remember 		= ($remember == '') ? 'null' : 'STR_TO_DATE("'.$remember.'", "%d/%m/%Y %k:%i")';
	$source 		= $_POST['source'];
	$summary 		= $_POST['summary'];
	
	$active = ($remember == 'null') ? 'false' : 'true';

	// Update appointment in DB 
	$update = 'UPDATE appointment SET creationDate='.$creationDate.', remember='.$remember.', sourceType="'.$source.'", comment="'.$comment.'", summary="'.$summary.'", active='.$active.' WHERE id='.$appointmentId;  
	$result = mysql_query($update) or die('Error 03: Update appointment table query failed. The query: '.$update.' Error: '.mysql_error());

	$query = 'SELECT contactId FROM appointment WHERE id='.$appointmentId;
	$row = mysql_fetch_assoc(mysql_query($query));
	
	header('Location: contact.php?contactId='.$row['contactId']);
} 
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.multiselect.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-timepicker-addon.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/multiselect.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Editar cita</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "contactSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar

    $query = 'SELECT a.contactId, c.name, c.surname, a.summary, date_format(a.creationDate,"%d/%m/%Y %k:%i") as creationDate, a.sourceType, date_format(a.remember,"%d/%m/%Y %k:%i") as remember, a.comment 
  			  FROM appointment a JOIN contact c ON a.contactId=c.id WHERE a.id='.$appointmentId;

    $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
    $appointment = mysql_fetch_assoc($result); 
    
    $contactName = $appointment['name'].' '.$appointment['surname'];
         
    // Edit appointment form
    ?>
    <section>
    
    <h2><?php echo $contactName ?></h2>
    <div class="divider"></div>
    <h4>Editar cita</h4>
    <article id="inputForm">

    <form action="editAppointment.php?appointmentId=<?php echo $appointmentId ?>" name="formBusiness" method="post">
   	<ul>
   	  <li><label for="summary">Resumen:</label></li> 
	  <li><input name="summary" required="required" maxlength="100" id="summary" value="<? echo $appointment['summary'] ?>" placeholder="Resumen de la cita"></li> 

	  <li><label for="create">Fecha de la cita:</label></li> 
	  <li><input name="create" id="create" required="required" maxlength="16" value="<? echo $appointment['creationDate'] ?>"></li>
   	  <script>$("#create").datetimepicker({maxDate: null});</script>
   	   	
  	  <li><label for="remember">Recordar el:</label></li>
   	  <li><input name="remember" value="<?php echo $appointment['remember'] ?>" <?php echo is_null($appointment['remember']) ? 'disabled="disabled"' : ''; ?> class="withSelector" id="remember">
 		  <div id="radio">
 		  	<?php
 		  		if (is_null($appointment['remember'])){
					echo '<input type="radio" id="radio1" onclick="enableRemember()" value="yes" name="radio"><label for="radio1">Sí</label>';
					echo '<input type="radio" id="radio2" onclick="disableRemember()" value="no" checked="checked" name="radio"><label for="radio2">No</label>';
				}else{
					echo '<input type="radio" id="radio1" onclick="enableRemember()" value="yes" checked="checked" name="radio"><label for="radio1">Sí</label>';
					echo '<input type="radio" id="radio2" onclick="disableRemember()" value="no" name="radio"><label for="radio2">No</label>';
				}
			 ?>
		  </div>
	  </li>
	
   	  <li><label for="source">Medio de contacto:</label></li> 
	  <li><select name="source" id="source">
			<option value="Correo electrónico" selected>Correo electrónico</option>
		    <option value="Presencial">Presencial</option>
			<option value="Teléfono">Teléfono</option>
		</select></li>
	  <script>selectComboBox("source", "<? echo $appointment['sourceType'] ?>", "false");</script>

	  <li><label for="comment">Descripción:</label></li>  
	  <li><textarea name="comment" maxlength="1000" placeholder="Max. 1000 caracteres" id="comment"><? echo $appointment['comment'] ?></textarea></li>

	  <li><button class="submit" name="add" type="submit">Editar cita</button></li>
	</ul>
	<!-- Initialize the datetimepickers {create, remember} -->
	<script type="text/javascript">initTime();</script>  
    </form>
    </article>
	</section>
    <?php
    
    include 'include/footer.php';
    ?>
</body>
</html>