<?php
/*
 *  File: email.php
 *  Data: 19/01/2014
 *
 *  This form allows to edit the subject and the body of email. 
 *  After press the send mail button the file send an email to each contact individually.
 * 
 */
require 'include/checkSession.php';
require 'include/variable.php';
require 'include/function.php'; 
require 'include/tmpDatabaseContact.php';	// Database temproal table manager

if(isset($_POST['send']))
{ 
	// Vars from POST
	$subject		= $_POST['subject'];
	$message		= $_POST['message'];
	
	$query = 'SELECT name, surname, email FROM contactListEmail WHERE email!="" ORDER BY name';
	$result = mysql_query($query) or die('Error 02: Read contactListEmail table query failed. The query: '.$query.'. Error: '.mysql_error());
		
	$to = 'albert.pujol@hertasecurity.com';
	
	$errorSend = 0;
	$errorEmail = '';
	$correctSend = 0;
	
	while($row = mysql_fetch_assoc($result))
	{
		$arr = array('to_email'=>$to, 'subject'=>$subject, 'message'=>$message, 'from_email'=>$FROM_MAIL, 'from_name'=>$FROM_NAME);
		if (mail_send($arr)) {
			$errorSend++;
			$errorEmail .= '- '.$row['name']." <".$row['email']."><br>" ;
		}
	   	else {
	   		$correctSend++;
	   	}	
	}
	/* Email report */
	$summary  = '<br>Se han enviado correctamente '.$correctSend.' correos electrónicos';
	if($errorSend > 0) {
		$summary .= '<br><br> Ha habido un error en ('.$errorSend.'):';	
		$summary .= $errorEmail;
	}
	
	clean();
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/tinymce/tinymce.min.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Correo electrónico</title>
  <script type="text/javascript">
	$(document).ready(function() {	
		tinymce.init({
	        selector: "textarea",
	        language : 'es',
	        paste_data_images: true,
	        plugins: [
	                "advlist autolink autosave link image lists charmap print preview hr anchor pagebreak spellchecker",
	                "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
	                "table contextmenu directionality template textcolor paste fullpage textcolor"
	        ],
	    	toolbar: "insertfile undo redo | formatselect fontselect fontsizeselect | bold italic | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link unlink anchor image media | table | searchreplace code preview | fullscreen",
	        menubar: false,
	        toolbar_items_size: 'small'
		});
		
		$("#showEmail").dialog({
			autoOpen : false,
			maxWidth: 800,
			minWidth: 400,
			maxHeight: 500,
			minHeight: 100
		});
		$("#showSummary").dialog({
			maxWidth: 800,
			minWidth: 400,
			maxHeight: 500,
			minHeight: 100
		});
		$("#show").click(function() {
			$("#showEmail").dialog("open");
			return false;
		});
	});
	</script>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "emailSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
    
    // Sign
    $sign  = '<br><br>';
	$sign .= '<b>Info Herta Security</b><br><br>';
	$sign .= '<img src="http://license.herta-security.com/files/download/sign.png"><br>';  
	$sign .= '<a href="www.hertasecurity.com">www.hertasecurity.com<a><br><br>';
	$sign .= 'Pau Claris, 165 4-B<br>';
	$sign .= '08037 Barcelona, Spain<br>';    
	$sign .= 'Tel.: +34 936 020 888<br>';
	$sign .= 'Fax: +34 936 020 889';

    ?>
    <section>
    <h2>Correo electrónico</h2>
    <div class="divider"></div>    
    <article id="mail">
    <form action="email.php" method="post">
   	<ul>
   	  <li>
   	  	<label for="subject">Asunto:</label>
   	  	<input name="subject" id="subject">
   	  </li>
   	  
   	  <li>  	  
   	  	<label for="message">Cuerpo:</label>
  	  	<textarea name="message" id="message"><?php echo $sign ?></textarea>
  	  <li>  
  	  	
	  <li>
	  	<button class="but" type="submit" name="send" onClick="return confirmSubmit()">Enviar</button>
	  	<button class="but" id="show" name="show">Mostrar correos</button>
	  </li>
	</ul>  
	</form>
	</article>
	</section>

    <?php
     
    // Prepare info emails
    $query = 'SELECT name, surname, email FROM contactListEmail WHERE email!="" ORDER BY name';
	$result = mysql_query($query) or die('Error 02: Read contactListEmail table query failed. The query: '.$query.'. Error: '.mysql_error());
    
    echo '<div id="showEmail" title="Correos electrónicos">';			
	while($row = mysql_fetch_assoc($result)){
	  	echo $row['email'].',<br>';
	}
    echo '</div>';
	
	// Log info send mail
	if (isset($summary)){
		echo '<div id="showSummary" title="Resumen">';			
		echo  $summary;
	    echo '</div>';
	}
	//Close conection mysql
	mysql_close();
	?>
</body>
</html>