<?php
/*
 *  File: home.php
 *  Data: 19/01/2014
 *
 *  This file show the active reminders of the user.
 * 
 */
 require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/sorttable.js" type="text/javascript"></script>
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <title>CRM: Home</title>
</head>
<body>
 	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "homeSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
    include 'include/function.php';		// Helper functions
    
    echo '<section>';   
    echo '<h2>Home</h2>';
    echo '<div class="divider"></div>';
	echo '<article>';
    echo '<h3>Recordatorios</h3>';
    echo '<div class="divider"></div>';

	// Admin users can see all appoitments
	$where = ($accessLevel == $ADMIN_VALUE) ? '' : ' AND userId='.$userId.' ';
    
    // Info of appointments
    $query = 'SELECT a.id, a.active, a.remember as date, date_format(a.remember,"%d/%m/%Y %k:%i") as remember,a.sourceType, a.summary, c.id as contactId, c.name, c.surname, c.id as contactId, co.file
      		  FROM appointment a JOIN contact c ON a.contactId=c.id JOIN CRMUser u ON a.userId=u.id JOIN color co ON u.color=co.color
  			  WHERE a.active=true '.$where.'
      		  ORDER BY a.creationDate DESC;';

    $result = mysql_query($query) or die('Error 02: Read contact table query failed. The query: '.$query.'. Error: '.mysql_error());
    
    if (mysql_num_rows($result) > 0)
	{
	    // Table appointments
	    echo '<table class="sortable list">';
	    echo '<thead>';
		echo '<tr>';
	    if ($accessLevel == $ADMIN_VALUE) { // Mark color user
	    	echo '<th style="width:3%"></th>';
	    }
	    echo '<th style="width: 3%">Estado</th>';
	    echo '<th style="width:11%">Fecha</th>';
	    echo '<th style="width:15%">Contacto</th>';
	    echo '<th>Resumen</th>';
	    echo '<th style="width:12%">Fuente</th>';
	    echo '<th class="center" style="width: 6%">Información</th>';
	    echo '<th class="center" style="width: 6%">Eliminar</th>';
		echo '</tr>';
	    echo '</thead>';
	    	    
	    while ($row = mysql_fetch_assoc($result))
	    {
	    	echo '<tr>';
	    	if ($accessLevel == $ADMIN_VALUE) // Mark color user
	    		echo '<td class="center"><img src="images/'.$row['file'].'" alt="Icono identificador de usuario"></td>';
	
	    	echo '<td class="center"><img src="'.stateAppaintmentToRuteIcon($row['date']).'" alt="Icono estado cita"></td>';	    	
	    	echo '<td>'.$row['remember'].'</td>';
	    	echo '<td><a href="contact.php?contactId='.$row['contactId'].'">'.$row['name'].' '.$row['surname'].'</a></td>';
	    	echo '<td>'.$row['summary'].'</td>';
	    	echo '<td>'.$row['sourceType'].'</td>';
	    	echo '<td class="center" ><a href="editAppointment.php?appointmentId='.$row['id'].'"><img src="images/info.png" alt="Icono info cita"></a></td>';
	    	echo '<td class="center" ><a href="doAppointment.php?appointmentId='.$row['id'].'"><img src="images/delete.png" alt="Icono eliminar recordatorio"></a></td>';
	    	
	    	// Falta commentari del contactid=0
	    	echo '</tr>';
    	}
    	echo '</table>';
    }
    else {
		echo '<h4> No hay ninguna cita programada</h4>';
	}

    echo '</article>';
    echo '</section>';
    
    include 'include/footer.php';
    ?>
</body>
</html>