/* JavaScript - functions */

//$(document).ready(start);
	
function start() {

}

/* Select section in menur bar */
function selectSection(section) {
	$("#"+section).css("color", "#8fde62");
	navigationMenu();
}


/* Drop menu effect */
function navigationMenu() {
	$(".nav_menu > ul").dropmenu({
		effect : "slide",
		speed : 200,
		timeout : 0,
		nbsp : false
	});
}

/* Initialization datepicker */
function initDate(){
   $.datepicker.regional['es'] = {
        closeText: 'Cerrar',
        prevText: '<Ant',
        nextText: 'Sig>',
        currentText: 'Hoy',
        monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
        dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
        dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
        dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
        weekHeader: 'Sm',
        dateFormat: 'dd/mm/yy',
        firstDay: 1,
        isRTL: false,
        maxDate: 0,
        showMonthAfterYear: true,
        yearSuffix: ''
    };
    $.datepicker.setDefaults($.datepicker.regional['es']);
    
    $("#from").datepicker();
    $("#to").datepicker();
}

/* Initialization datetimerpicker */
function initTime(){
   $.datepicker.regional['es'] = {
        closeText: 'Cerrar',
        prevText: '<Ant',
        nextText: 'Sig>',
        currentText: 'Hoy',
        monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
        dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
        dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
        dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
        weekHeader: 'Sm',
        dateFormat: 'dd/mm/yy',
        firstDay: 1,
        isRTL: false,
        showMonthAfterYear: true,
        yearSuffix: ''
    };
    $.datepicker.setDefaults($.datepicker.regional['es']);
    
    $("#create").datetimepicker();
    $("#remember").datetimepicker({minDate: 0});
    
    // Select ration button NO/YES
    $("#radio").buttonset();
}
 
 
 /* Initialization multiselect on filter email */
function initMultiSelectOnMail(){
	$.extend($.ech.multiselectfilter.prototype.options, {
		label: "Filtro:",
		placeholder: ""
	});
	
	$("#businessIdArray").multiselect({
		selectedList: 3, // 0-based index
		checkAllText: "Todas",
		uncheckAllText: "Ninguna",
		noneSelectedText: "Seleccione empresa",
		selectedText: "# empresas seleccionadas",
		minWidth: "auto"
	}).multiselectfilter();
	
	
	$("#countryArray").multiselect({
		selectedList: 3, // 0-based index
		checkAllText: "Todos",
		uncheckAllText: "Ninguno",
		noneSelectedText: "Seleccione país",
		selectedText: "# paises seleccionados",
		minWidth: "auto"
	}).multiselectfilter();	
}
 
/* Default selection combobox */
function selectComboBox(comboboxName, value, filter ) {
	$("#"+comboboxName).val(value);
	$("#"+comboboxName).multiselect({
	   multiple: false,
	   header: false,
	   selectedList: 1,
	   height: "110px",
	   minWidth: "auto"
	});
	if (filter == "yes"){
		$("#"+comboboxName).multiselect({header: true}).multiselectfilter();
	}
	else {
		$("#"+comboboxName).multiselect();
	}
}

/* Default selection multi combobox */
function selectMultiComboBox(comboboxName, values ) {
	var data = values;
	var datalist= data.toLowerCase().split(',');
	var obj = $("#"+comboboxName).multiselect("widget").find("input");
	for (var i = 0; i < obj.length; i++) {
		if ($.inArray($(obj[i]).val().toLowerCase(), datalist) >= 0) {
			$(obj[i]).click();
		}
	}
}


/* Disable input remember on appointment */
function disableRemember() {
	$("#remember").prop('disabled', true);
}

/* Enable input remember on appointment */
function enableRemember() {
	$("#remember").prop('disabled', false);
}

/* Show informaction contact */
function showInfoContact() {
	$("#information").toggle(600);
}

/* Advice search does not have minimun characters */
function checkLenCharacters() {
	var l = document.getElementById("searchCombobox");
	if (l.value.length < 3) {
		alert("La longitud mínima para realizar búsquedas es de tres caracteres");
		return false;
	}
	return true;
}

/* Compare two dates */
function compareDate() {
	var from = document.getElementById("from").value;
	var to = document.getElementById("to").value;
	var start = new Date(from.substr(6),from.substr(3,2),from.substr(0,2));
	var finish = new Date(to.substr(6),to.substr(3,2),to.substr(0,2));	
	if (start > finish) {
		alert("La fecha de inicio tiene que ser igual o superior a la fecha de fin");
		return false;
	}
}

/* Verificate the passwords are the same */
function comparePassowrd() {
	var pass1 = document.getElementById("pass").value;
	var pass2 = document.getElementById("rePass").value;
	if (pass1 != pass2) {
		alert("El password de verificación no coincide con el password");
		return false;
	}
	if (pass1.length <= 3) {
		alert("El password tiene que ser igual o superior a cuatro caracteres");
		return false;
	}
	return true;
	
}

/* Advice delete appointment */
function deleteAppointment(url) {
	if (confirm("ALERTA! va a eliminar una cita. Desea proceder.")) {
		document.location = url;
	}
}

/* Advice delete business */
function deleteBusiness(url) {
	if (confirm("ALERTA! va a eliminar una empresa. \nSe borraran todos los datos relacionos con esta empresa.")) {
		document.location = url;
	}
}

/* Advice delete contact */
function deleteContact(url) {
	if (confirm("ALERTA! va a eliminar un contacto. \nSe borraran todos los datos relacionos con este contacto.")) {
		document.location = url;
	}
}

/* Advice delete document */
function deleteDocument(url) {
	if (confirm("ALERTA! va a eliminar un documento. Desea proceder.")) {
		document.location = url;
	}
}

/* Advice delete user */
function deleteUser(url) {
	if (confirm("ALERTA! va a eliminar un usuario.")) {
		document.location = url;
	}
}

/* Advice continue */
function confirmSubmit(){
	if (confirm("Está seguro que desea continuar.")) {
		return true;
	}	
	return false;
}

/* Alert no subject selected (email filter) */
function alertNoSubjects(nSubjects){
	if (nSubjects == "false") {
		alert("No hay subjetos seleccionados");
		return false;
	}
	return true;

}
