<?php
/*
 *  File: admin.php
 *  Data: 19/01/2014
 *
 *
 */
require 'include/checkSession.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script src="js/jquery-1.9.1.min.js" type="text/javascript"></script>
  <script src="js/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
  <script src="js/jquery.dropmenu-1.1.4.js" type="text/javascript"></script>
  <script src="js/jquery.dataTables.min.js" type="text/javascript"></script>
  <script src="js/helper.js" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="css/smoothness/jquery-ui-1.10.3.custom.css">
  <link rel="stylesheet" type="text/css" href="css/datatables/jquery.dataTables.css">
  <link rel="stylesheet" type="text/css" href="css/style.css">
  <link rel="icon" type="image/png" href="images/favicon.ico">
  <script type="text/javascript">
	$(document).ready(function() {
		$('#logTable').dataTable({
			"oLanguage": {
				"sSearch": "Filtro:",
				"sLengthMenu": "Muestra _MENU_ registros por pàgina",
       			"sZeroRecords": "Ningún registro encontrado",
      			"sInfo": "Mostrando _START_ al _END_ de _TOTAL_ registros",
       			"sInfoEmpty": "Mostrando 0 al 0 de 0 registros",
       			"sInfoFiltered": "(filtrado de _MAX_ registros totales)",
				"oPaginate": {
					"sFirst":    "Primera pàgina",
					"sPrevious": "Anterior",
					"sNext":     "Siguiente",
					"sLast":     "Última pàgina"
				}
			},
			"bScrollCollapse": true,
		    "aaSorting": [],
		    "bAutoWidth": false,
		    "bLengthChange": false
		});
	});
  </script>
  <title>CRM: Registros</title>
</head>
<body>
	<!-- Section variable that selects title on navigation bar -->
	<script>var section = "adminSection"</script>
  	<?php

    include 'include/header.php';		// Navigation bar
    include 'include/function.php';		// Helper functions
	
	?>
	<section>
    <h2>Registro de entrada</h2>
	<div class="divider"></div>
	<article>  

	<!-- Log table -->
	<table class="list" id="logTable">
	<thead>
	<tr>
		<th>Usuario</th>
		<th class="rightTh">Entrada</th>
		<th class="rightTh">Salida</th>
	</tr>
	</thead>

	<?php
	// Log users	    
	$query = 'SELECT u.user, date_format(l.logIn,"%d/%m/%Y %k:%i") as dateIn, date_format(l.logOut,"%d/%m/%Y %k:%i") as dateOut
	  		  FROM logUser l JOIN CRMUser u ON l.userId=u.id
	  		  ORDER BY logIn DESC';
				  
	$result = mysql_query($query) or die('Error 02: Read logUser table query failed. The query: '.$query.'. Error: '.mysql_error());
		
	while ($row = mysql_fetch_assoc($result))
	{ 
	   	echo '<tr>';
	   	echo '<td>'.$row['user'].'</td>';
		echo '<td class="right">'.$row['dateIn'].'</td>';
		echo '<td class="right">'.$row['dateOut'].'</td>';
	   	echo '</tr>';
	}
	
	echo '</table>';
    echo '</article>';    
    echo '</section>';    

    include 'include/footer.php';
    ?>
</body>
</html>